lkml.org 
[lkml]   [2008]   [May]   [3]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: cross-compiling on OS X, make menuconfig fails
On 4/29/08, Sam Ravnborg <sam@ravnborg.org> wrote:
> >
> > Good grief, folks...
>
> Thanks Al.
> I've queued up the following patch.
>
> Sam
>
> commit c99cc32e0d92f5fdbdd39a7f42cfff869062fff5
> Author: Sam Ravnborg <sam@uranus.ravnborg.org>
> Date: Tue Apr 29 20:02:44 2008 +0200
>
> kconfig: made check-lxdialog more portable
>
> OS-X shell did not like 'echo -e' so implement
> suggestion from Al Viro to use a more portable construct.
>
> Signed-off-by: Sam Ravnborg <sam@ravnborg.org>
> Cc: Al Viro <viro@ZenIV.linux.org.uk>
>
> diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
> index 62e1e02..5552154 100644
> --- a/scripts/kconfig/lxdialog/check-lxdialog.sh
> +++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
> @@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15
>
> # Check if we can link to ncurses
> check() {
> - echo -e " #include CURSES_LOC \n main() {}" |
> - $cc -xc - -o $tmp 2> /dev/null
> + $cc -xc - -o $tmp 2>/dev/null <<'EOF'
>
> +#include CURSES_LOC
> +main() {}
> +EOF
>
> if [ $? != 0 ]; then
> echo " *** Unable to find the ncurses libraries or the" 1>&2
> echo " *** required header files." 1>&2

This looks O.K. As a note, whatever behavior is being described here
is system dependent, because on my installation of that other OS, `echo -e'
works fine whether it is invoked as /bin/bash or /bin/sh which appears to be
a strict copy of /bin/bash.

$ uname -v
Darwin Kernel Version 8.11.1: Wed Oct 10 18:23:28 PDT 2007;
root:xnu792.25.20~1/RELEASE_I386

Reviewed-by: SL Baur <steve@xemacs.org>

-sb


\
 
 \ /
  Last update: 2008-05-03 08:57    [W:0.076 / U:0.244 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site